Page MenuHomePhabricator

Change font color in messages
Closed, ResolvedPublic2 Story Points

Description

Motivation
The success-message of FileImporter currently looks like this:

The contrast does not full fill the WCAG-Recomendations.

Acceptance Criteria

  • Change the text of the success and error messages to black. This would fulfill all the WCAG recommendations.

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptApr 26 2018, 10:24 AM
Restricted Application added a project: Design. · View Herald TranscriptApr 26 2018, 11:10 AM
Charlie_WMDE moved this task from Incoming to IncomingTCB on the WMDE-Design board.May 7 2018, 3:11 PM

the colors are of the Wikimedia color palette, so the green is okay IMO

  • I would change the text to black, which would also fulfill all the WCAG recommendations.

    Lea_WMDE renamed this task from Low contrast and unfamiliar colors in success-message to Change font color in messages.May 29 2019, 6:29 AM
    Lea_WMDE updated the task description. (Show Details)
    Lea_WMDE set the point value for this task to 2.May 29 2019, 8:39 AM
    awight claimed this task.May 31 2019, 2:52 PM
    awight moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-05-29 board.

    I noticed that we're also subtly changing the successbox background color, which is already defined by mediawiki-core. I've rolled back our customization, here are screenshots of the resulting colors for review:

    Change 513619 had a related patch set uploaded (by Awight; owner: Awight):
    [mediawiki/extensions/FileImporter@master] Make errorbox and successbox text black

    https://gerrit.wikimedia.org/r/513619

    Change 513619 merged by jenkins-bot:
    [mediawiki/extensions/FileImporter@master] Make errorbox and successbox text black

    https://gerrit.wikimedia.org/r/513619

    When trying to test this, I get an error message with the following details


    Not sure this is us, but just in case pasting it here

    awight added a comment.Jun 3 2019, 9:46 AM

    When trying to test this, I get an error message with the following details

    Yikes! Would you mind sketching out what steps you're taking which cause this error?

    Clicking on the "move to commons" link for this file:
    https://de.wikipedia.beta.wmflabs.org/wiki/Datei:TEST_Euro_exchange_rate_to_TRY_-_Turkish_Currency_and_Debt_Crisis_2018.svg
    Renaming by adding AGAIN in front of the title and clicking submit then

    I had a quick look at the exception. I believe there is a misconfiguration in one of the filters on this wiki: https://commons.wikimedia.beta.wmflabs.org/wiki/Special:AbuseFilter?furtheroptions%5B%5D=hidedisabled. I don't know which. In other words, I believe this is not us, and there is nothing we can do to fix this in our codebase. To not make a badly configured filter make the AbuseFilter extension crash, that extension would need a fix/partly rewrite. This might be worth opening a separate ticket.

    Lea_WMDE closed this task as Resolved.Jun 12 2019, 7:47 AM
    Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-05-29 board.